#!/bin/bash

# TekLabs TekBASE
# Copyright 2005-2010 TekLab
# Christian Frankenstein
# Website: www.teklab.de
#          www.teklab-europe.com
#          www.teklab-america.com
#          www.teklab-asia.com

VAR_A=`uname -m`

cd /home

# CHECK OS AND INSTALL 32BIT LIBS
if [ "$VAR_A" = "x86_64" ]; then
    check=`cat /etc/issue | grep -i 'Debian'`
    if [ -n "$check" ]; then
	apt-get update
	version=`cat /etc/debian_version | awk -F. '{print $1}'`
	if [ $version -gt 6 ]; then
	    dpkg --add-architecture i386
	    apt-get update
	    apt-get install ia32-libs expect -y
	    apt-get install build-essential gcc-multilib rpm libstdc++6:i386 libgcc1:i386 zlib1g:i386 libncurses5:i386 libc6:i386 -y
	else
	    apt-get update
	    apt-get install ia32-libs -y
	fi
    fi
    check=`cat /etc/issue | grep -i 'Mandrake'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Red Hat'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Ubuntu'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs-multiarch -y
	apt-get install build-essential gcc-multilib rpm libstdc++6:i386 libgcc1:i386 zlib1g:i386 libncurses5:i386 libc6:i386 -y
    fi
    check=`cat /etc/issue | grep -i 'Fedora'`
    if [ -n "$check" ]; then
	yum update
	yum install glibc.i686 -y
    fi
    check=`cat /etc/issue | grep -i 'CentOS'`
    if [ -n "$check" ]; then
	yum update
	yum install glibc.i686 -y
    fi
fi


# DOWNLOAD PACKAGES
cd /home
wget http://teklab.s3.amazonaws.com/tekbase_auto.tar

# INSTALLATION
if [ -e tekbase_auto.tar ]; then
   tar -xzf tekbase_auto.tar
   rm tekbase_auto.tar
   ./webinstall.sh
   rm webinstall.sh
   rm install.sh
else
   echo "The file webinstall.tar cant be downloaded."
   echo "Please try again...or send us an email."
fi

exit 0
